Subject: bug#79288: [PATCH] Add edebug-bounce-to-previous-value

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Aug 2025 17:00:39 +0300

> Date: Sun, 24 Aug 2025 15:42:40 +0200
> Cc: [email-masked], [email-masked]
> From: Jens Schmidt <[email-masked]>
> 
> On 2025-08-24  14:31, Eli Zaretskii wrote:
> >> Date: Sun, 24 Aug 2025 14:02:52 +0200
> >> Cc: [email-masked], [email-masked]
> >> From: Jens Schmidt <[email-masked]>
> >>
> >> On 2025-08-24  13:58, Eli Zaretskii wrote:
> >>
> >>> Hmm... either I'm blind, or there's no note in NEWS about removing the
> >>> previous key binding of 'P'.
> >>
> >> Sorry, forgot to format-patch.  Next attempt ...
> > 
> > OK, last nit:
> > 
> >> --- a/doc/lispref/edebug.texi
> >> +++ b/doc/lispref/edebug.texi
> >> @@ -677,8 +677,7 @@ Edebug Views
> >>  
> >>  @table @kbd
> >>  @findex edebug-view-outside
> >> -@item P
> >> -@itemx v
> >> +@item v
> >>  Switch to viewing the outside window configuration
> >>  (@code{edebug-view-outside}).  Type @kbd{C-x X w} to return to Edebug.
> > 
> > This section, like many others, start with a summary of the commands,
> > followed by the detailed description.  You added the detailed
> > description, but please also add this new command to the summary part.
> 
> In section "Edebug Views" the patch has three hunks: The short one you
> quoted above, then this one, which I considered to be the "summary part":
> 
> 
>   @@ -689,6 +688,17 @@ Edebug Views
>    before returning to Edebug.  With a prefix argument @var{n}, pause for
>    @var{n} seconds instead.
> 
>   +@findex edebug-bounce-to-previous-value
>   +@item P
>   +Temporarily display the outside current buffer with the outside point
>   +corresponding to the previous value
>   +(@code{edebug-bounce-to-previous-value}).  The previous value is what
>   +Edebug has evaluated before its last stop point or what you have
>   +evaluated in the context outside of Edebug, for example, with
>   +@kbd{C-x C-e}.  This command pauses for one second before returning to
>   +Edebug.  With a prefix argument @var{n}, it pauses for @var{n} seconds
>   +instead.
>   +
>    @findex edebug-where
>    @item w
>    Move point back to the current stop point in the source code buffer
> 
> 
> And finally the third hunk, supposed to be the example/detailed
> description:
> 
>   @@ -713,6 +723,20 @@ Edebug Views
>    bounce to the point in the current buffer with @kbd{p}, even if
>    it is not normally displayed.
> 
>   +  You can also bounce to buffer positions other than the current point.
>   +Suppose you are debugging the form
>   +
>   +@example
>   +(make-overlay beg end)
>   +@end example
>   +
>   +@noindent
>   +and you would like to know where @code{beg} and @code{end} are located
>   +in the outside buffer.  Then you could either evaluate these, for
>   +example, with @kbd{C-x C-e}, or step over them with @kbd{n}, and
>   +immediately after that press @kbd{P}, to bounce to the position you have
>   +previously evaluated.
>   +
>      After moving point, you may wish to jump back to the stop point.
>    You can do that with @kbd{w} from a source code buffer.  You can jump
>    back to the stop point in the source code buffer from any buffer using
> 
> 
> Wouldn't that be sufficient?  If not, where exactly in the section would
> you expect the "summary part"?

The summary should be shorter.  But never mind, I can fix that later.